ON_BrepFaceSideArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_brep.h>`

Inheritance diagram for ON_BrepFaceSideArray:

## Public Member Functions

| ON_BrepFaceSideArray ()
| ~ON_BrepFaceSideArray ()
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const
unsigned int | SizeOf () const
Public Member Functions inherited from ON_ObjectArray< ON_BrepFaceSide >
| ON_ObjectArray ()
| ON_ObjectArray (int)
| ON_ObjectArray (const ON_ObjectArray< ON_BrepFaceSide > &)
| ~ON_ObjectArray ()
ON_ObjectArray< ON_BrepFaceSide > & | operator= (const ON_ObjectArray< ON_BrepFaceSide > &)
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_BrepFaceSide * | Realloc (ON_BrepFaceSide *, int)
bool | HeapSort (int(*)(const ON_BrepFaceSide *, const ON_BrepFaceSide *))
bool | QuickSort (int(*)(const ON_BrepFaceSide *, const ON_BrepFaceSide *))
Public Member Functions inherited from ON_ClassArray< ON_BrepFaceSide >
| ON_ClassArray ()
| ON_ClassArray (int)
| ON_ClassArray (const ON_ClassArray< ON_BrepFaceSide > &)
virtual | ~ON_ClassArray ()
ON_ClassArray< ON_BrepFaceSide > & | operator= (const ON_ClassArray< ON_BrepFaceSide > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
ON_BrepFaceSide & | operator[] (int)
ON_BrepFaceSide & | operator[] (unsigned int)
ON_BrepFaceSide & | operator[] (ON__INT64)
ON_BrepFaceSide & | operator[] (ON__UINT64)
const ON_BrepFaceSide & | operator[] (int) const
const ON_BrepFaceSide & | operator[] (unsigned int) const
const ON_BrepFaceSide & | operator[] (ON__INT64) const
const ON_BrepFaceSide & | operator[] (ON__UINT64) const
| operator ON_BrepFaceSide * ()
| operator const ON_BrepFaceSide * () const
ON_BrepFaceSide * | First ()
const ON_BrepFaceSide * | First () const
ON_BrepFaceSide * | At (int)
ON_BrepFaceSide * | At (unsigned int)
ON_BrepFaceSide * | At (ON__INT64)
ON_BrepFaceSide * | At (ON__UINT64)
const ON_BrepFaceSide * | At (int) const
const ON_BrepFaceSide * | At (unsigned int) const
const ON_BrepFaceSide * | At (ON__INT64) const
const ON_BrepFaceSide * | At (ON__UINT64) const
ON_BrepFaceSide * | Last ()
const ON_BrepFaceSide * | Last () const
ON_BrepFaceSide & | AppendNew ()
void | Append (const ON_BrepFaceSide &)
void | Append (int, const ON_BrepFaceSide *)
void | Insert (int, const ON_BrepFaceSide &)
void | Remove ()
void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const ON_BrepFaceSide *, int(*)(const ON_BrepFaceSide *, const ON_BrepFaceSide *)) const
int | BinarySearch (const ON_BrepFaceSide *, int(*)(const ON_BrepFaceSide *, const ON_BrepFaceSide *)) const
int | BinarySearch (const ON_BrepFaceSide *, int(*)(const ON_BrepFaceSide *, const ON_BrepFaceSide *), int) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_BrepFaceSide *, const ON_BrepFaceSide *)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_BrepFaceSide *, const ON_BrepFaceSide *, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | Reserve (int)
void | Shrink ()
void | Destroy ()
ON_BrepFaceSide * | Array ()
const ON_BrepFaceSide * | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
ON_BrepFaceSide * | KeepArray ()
void | SetArray (ON_BrepFaceSide *)
void | SetArray (ON_BrepFaceSide *, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_ClassArray< ON_BrepFaceSide >
void | Move (int, int, int)
void | ConstructDefaultElement (ON_BrepFaceSide *)
void | DestroyElement (ON_BrepFaceSide &)
Protected Attributes inherited from ON_ClassArray< ON_BrepFaceSide >
ON_BrepFaceSide * | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 1522 of file opennurbs_brep.h.

## Constructor & Destructor Documentation

ON_BrepFaceSideArray::ON_BrepFaceSideArray | ( |  | ) |

ON_BrepFaceSideArray::~ON_BrepFaceSideArray | ( |  | ) |

## Member Function Documentation

bool ON_BrepFaceSideArray::Read | ( | ON_BinaryArchive & |  | ) |

unsigned int ON_BrepFaceSideArray::SizeOf | ( |  | ) | const

bool ON_BrepFaceSideArray::Write | ( | ON_BinaryArchive & |  | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_brep.h